import { pgTable, integer, varchar, timestamp, uuid } from "drizzle-orm/pg-core";
import { sql } from "drizzle-orm";
import { timestamps } from "./helpers/columns.helpers";

export const Product_feed = pgTable("product_feeds", {
	id: integer().primaryKey().generatedAlwaysAsIdentity({ name: "productfeeds_id_seq", startWith: 1, increment: 1, minValue: 1, maxValue: 2147483647, cache: 1 }),
	uuid: uuid().defaultRandom().unique(),
	reseller_id: integer().notNull(),
	feed_url: varchar({ length:255 }).notNull(),
	last_update: timestamp(),
	...timestamps
})